/* color.h */
typedef struct
{
	CHAR	*name;	/* name of this role */
	CHAR	*descr;	/* args of original :color command */
	long	fg;	/* foreground color code */
	long	bg;	/* background color code */
	unsigned char 	fg_rgb[3];	/* foreground, broken down into RGB */
	unsigned char 	bg_rgb[3];	/* background, broken down into RGB */
	char	like;	/* "like" index, or 0 for nothing */
	short	bits;	/* bitmap of attributes and flags */
} COLORINFO;
#define COLOR_BOLD	 0x001	/* add the bold attribute to the font */
#define COLOR_ITALIC	 0x002	/* add the italic attribute to the font */
#define COLOR_UNDERLINED 0x004	/* draw a line under the text */
#define COLOR_BOXED	 0x008	/* draw a box around the text */
#define	COLOR_PROP	 0x010	/* use proportionally-spaced font */
#define COLOR_GRAPHIC	 0x040	/* replace text with graphical chars */
#define	COLOR_SET	 0x100	/* attributes were explicitly set by the user */
#define COLOR_PROPSET	 0x200	/* don't inherit the COLOR_PROP flag */
#define COLOR_FG	 0x400	/* don't inherit the foreground color */
#define COLOR_BG	 0x800	/* don't inherit the background color */

/* Some special font codes */
#define COLOR_FONT_NORMAL	1	/* normal colors */
#define COLOR_FONT_IDLE		2	/* colors for idle screen */
#define COLOR_FONT_SELECTION	3	/* colors for selections */
#define COLOR_FONT_QTY_SPECIALS	4	/* first non-special font code */

extern COLORINFO colorinfo[128];
extern int colorfind P_((CHAR *fontname));
extern COLORINFO *colorcombine P_((int oldfont, COLORINFO *newcinfo));
extern void colorset P_((int fontcode, CHAR *descr, BOOLEAN explicit));
extern void colorforeign P_((CHAR *name, CHAR *descr));
extern void colorsetup P_((void));
extern int colortmp P_((int oldfont, int newfont));
extern void colorlist P_((WINDOW win, CHAR *name));
#ifdef FEATURE_MKEXRC
extern void colorsave P_((BUFFER buf));
#endif
#ifdef FEATURE_COMPLETE
extern CHAR *colorcomplete P_((WINDOW win, MARK from, MARK to));
#endif
