#include <libgnorba/gnorba.h>

#define VERSION "0.01"

#include "elvisCorba.h"

/* This source code is to be read to the tune of Dire Straits 'calling Elvis' */

CORBA_ORB orb=CORBA_OBJECT_NIL;
PortableServer_POA poa=CORBA_OBJECT_NIL;
CORBA_Object ElvisPrivate_server = CORBA_OBJECT_NIL;

void corbaErrCheck(CORBA_Environment* pev,char *msg) {
  if (pev->_major != CORBA_NO_EXCEPTION) {
    g_message("Corba error '%s' at '%s'\n",CORBA_exception_id(pev),msg);
    exit(1);
  };
}

int main(int argc, char *argv[]) {
  int i;
  char *dir;
  CORBA_Environment ev;

  CORBA_exception_init(&ev);

  orb = gnome_CORBA_init("elvis_client", VERSION, &argc, argv, GNORBA_INIT_SERVER_FUNC, &ev);

  corbaErrCheck(&ev,"gnome_CORBA_init");

  poa = (PortableServer_POA) CORBA_ORB_resolve_initial_references (orb, "RootPOA", &ev);
  corbaErrCheck(&ev,"Resolve init ref");

  ElvisPrivate_server = goad_server_activate_with_id(
    NULL,
    "IDL:Elvis:ElvisPrivate:1.0",
    0,
    NULL);
  corbaErrCheck(&ev,"Get Private server");

  if (ElvisPrivate_server==CORBA_OBJECT_NIL) {
    g_message("Couldn't talk to elvis server\n");
    exit(1);
  };

  dir=g_get_current_dir();
  for(i=1;i<argc;i++) {
    Elvis_ElvisPrivate_openFile(ElvisPrivate_server, dir, argv[i],&ev);
    corbaErrCheck(&ev,"Open file");

  };

  g_free(dir);

  CORBA_exception_free(&ev);
}

